Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.util
Class CustomHeaderLinkStrategy

    java.lang.Object
      org.hornetq.rest.util.CustomHeaderLinkStrategy

All Implemented Interfaces:
  LinkStrategy

    public class CustomHeaderLinkStrategy

extends java.lang.Object
implements LinkStrategy

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`CustomHeaderLinkStrategy()`

Method Summary
`void` | `setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder, java.lang.String title, java.lang.String rel, java.lang.String href, java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomHeaderLinkStrategy

    public CustomHeaderLinkStrategy()

Method Detail

### setLinkHeader

    public void setLinkHeader(javax.ws.rs.core.Response.ResponseBuilder builder,
                              java.lang.String title,
                              java.lang.String rel,
                              java.lang.String href,
                              java.lang.String type)

  Specified by:
    `setLinkHeader` in interface `LinkStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.